Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ve
Class Query

    java.lang.Object
      |
      +--ve.Query

public class Query
extends java.lang.Object

a factor that is the result of a query.

Constructor Summary
`Query(Variable[] queryVars, BeliefNetwork bnet, Variable[] observedVars, int[] observedVals)` constructs the factor that answers the specific query.
`Query(Variable[] queryVars, BeliefNetwork bnet, Variable[] observedVars, int[] observedVals, java.lang.String[] eo)` constructs the factor that answers the specific query for a given elimination ordering.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Query

    public Query(Variable[] queryVars,
                 BeliefNetwork bnet,
                 Variable[] observedVars,
                 int[] observedVals)

  constructs the factor that answers the specific query.
  Parameters:
    `queryVars` - the array of variables being queried. These are assumed to be in order and must be a subset of the variables in bnet.
    `bnet` - a belief network.
    `observedVars` - the array of variables that have observed values. These are assumed to be in order and must be a subset of the variables in bnet.
    `ObservedVals` - the array of values for the corresponding observed values. Each value ObservedVals[i] is the index into ObservedVars[i].domain.

### Query

    public Query(Variable[] queryVars,
                 BeliefNetwork bnet,
                 Variable[] observedVars,
                 int[] observedVals,
                 java.lang.String[] eo)

  constructs the factor that answers the specific query for a given elimination ordering.
  Parameters:
    `queryVars` - the array of variables being queried. These are assumed to be in order and must be a subset of the variables in bnet.
    `bnet` - a belief network.
    `observedVars` - the array of variables that have observed values. These are assumed to be in order and must be a subset of the variables in bnet.
    `ObservedVals` - the array of values for the corresponding observed values. Each value ObservedVals[i] is the index into ObservedVars[i].domain.
    `ElimOrd` - the string of variables that specifies the elimination ordering. We assume this is correct.

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD